# 生物探针数据数据

### 作者： 周炬汀、涂世搭

### 简介

shengwutanzhen项目是安卓项目，可以进行手机传感器数据以及屏幕点击数据的采集，python_server为接收并且保存数据的Python服务器

### 项目部署

Android Studio（gradle-8.0）

### 采集方式

进入姓名拼音及手机号输入界面和随机输入界面开始采集，两个界面均采集了屏幕按压数据和手机运动传感器数据

![图片1](./images/图片1.png)
![图片2](./images/图片2.png)
![图片3](./images/图片3.png)

![图片4](./images/图片4.png)
![图片5](./images/图片5.png)
![图片6](./images/图片6.png)


### 采集结果说明

#### 运动传感器部分：

```python
accX,accY,accZ：加速度传感器的三轴数据
gyroX,gyroY,gyroZ：陀螺仪传感器的三轴数据
magX,magY,magZ：磁力计传感器的三轴数据
以上三个传感器的采集频率为10毫秒一次
```

#### 采集结果示例

![图片7](./images/图片7.png)

每一行代表间隔10毫秒的一个时间步

#### 屏幕触摸数据部分

```python
create_date：文件创建时间
uuid：随机生成的文件名
data_stamp：数据上传时的时间戳
label：在采集数据时用户输入的id
gesture：用户操作手机时的状态（静止or行走）
gesture_phone：用户操作手机的方式（单手、双手等等）
input_duration：用户输入数据所花的时间
usrn_len：用户拼音姓名长度
pswd_len：用户手机号长度
hold-time：两次按压之间的间隔时间
inter-time：每次按压屏幕的时间
distance：两次按压之间的距离
distanceMove：每次按压时手指的滑动距离
pressures：每次按压时手指的压力
touch_size：每次按压时手指的面积
```

#### 采集数据示例

![图片8](./images/图片8.png)

